Subject: Re: linux-next: build failure in the powerpc allyesconfig build

From: Nicholas Piggin <[email-masked]>
Date: Mon, 5 Dec 2016 16:41:53 +1100

On Mon, 5 Dec 2016 16:24:31 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> On Mon, 5 Dec 2016 16:22:04 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > After mergeing everything but Andrew's tree, today's linux-next build
> > (powerpc allyesconfig) failed like this:
> > 
> > kallsyms failure: relative symbol value 0xc000000000000000 out of range in relative mode
> > 
> > I have no idea what caused this, so I have left the powerpc allyesconfig
> > build broken for now.  
> 
> Just as a data point, I tried reverting commit
> 
>   dadc4a1bb9f0 ("powerpc/64: Fix placement of .text to be immediately following .head.text")
> 
> but that did not help.

In scripts/kallsyms.c, is there a table[i].sym string you can print?